Package de.willuhn.jameica.hbci.server

# Class AbstractUpdate

java.lang.Object
de.willuhn.jameica.hbci.server.AbstractUpdate

All Implemented Interfaces:
  `de.willuhn.sql.version.Update`

public abstract class AbstractUpdate extends Object implements de.willuhn.sql.version.Update
Abstrakte Basis-Klasse fuer Datenbank-Updates.

## Constructor Summary

Constructors
Constructor
Description
`AbstractUpdate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(de.willuhn.sql.version.UpdateProvider provider)`
`String`
`getName()`
`protected abstract List<String>`
`getStatements(Class<? extends DBSupport> driverClass)`
Liefert die auszufuehrenden Datenbank-Updates fuer den jeweiligen Treiber.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractUpdate

public AbstractUpdate()

## Method Details

### execute

public void execute(de.willuhn.sql.version.UpdateProvider provider) throws de.willuhn.util.ApplicationException

Specified by:
  `execute` in interface `de.willuhn.sql.version.Update`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Update.execute(de.willuhn.sql.version.UpdateProvider)`

### getStatements

protected abstract List<String> getStatements(Class<? extends DBSupport> driverClass)
Liefert die auszufuehrenden Datenbank-Updates fuer den jeweiligen Treiber.

Parameters:
  `driverClass` - die Klasse des Treibers.
Returns:
  die Statements.

### getName

public String getName()

Specified by:
  `getName` in interface `de.willuhn.sql.version.Update`
See Also:
  - `Update.getName()`